Security announcements

MSA-14-0046: CSRF in LTI module

 
Picture of Marina Glancy
MSA-14-0046: CSRF in LTI module
 
Description: Two files in the LTI module lacked a session key check potentially allowing cross-site request forgery.
Issue summary: CSRF in mod/lti/request_tool.php and mod/lti/instructor_edit_tool_type.php
Severity/Risk: Serious
Versions affected: 2.7 to 2.7.2, 2.6 to 2.6.5, 2.5 to 2.5.8 and earlier unsupported versions
Versions fixed: 2.8, 2.7.3, 2.6.6 and 2.5.9
Reported by: Petr Skoda
Issue no.: MDL-47924
CVE identifier: CVE-2014-7836
Changes (master): http://git.moodle.org/gw?p=moodle.git&a=search&h=HEAD&st=commit&s=MDL-47924